import { ModuleGraph } from '../server/moduleGraph/index.js';
import { LogLevel, ServerConfig } from './serverConfig.js';
export interface Logger {
    log(level: LogLevel, message: string): void;
}
export interface DevServer {
    config?: ServerConfig;
    logger?: Logger;
    moduleGraph: ModuleGraph;
}
