/**
 * Define the type of workspace.
 * Internal is for salesforce internal developers.
 * SfCli is for the Salesforce CLI project setup.
 */
export var Workspace;
(function (Workspace) {
    Workspace["Internal"] = "internal";
    Workspace["SfCli"] = "SalesforceCLI";
    Workspace["Mrt"] = "mrt";
})(Workspace || (Workspace = {}));
/**
 * Logging level in decreasing order of severity and increasing order of noise.
 */
export var LogLevel;
(function (LogLevel) {
    LogLevel[LogLevel["silent"] = 0] = "silent";
    LogLevel[LogLevel["error"] = 1] = "error";
    LogLevel[LogLevel["warn"] = 2] = "warn";
    LogLevel[LogLevel["info"] = 3] = "info";
    LogLevel[LogLevel["debug"] = 4] = "debug";
    LogLevel[LogLevel["verbose"] = 5] = "verbose";
})(LogLevel || (LogLevel = {}));
//# sourceMappingURL=serverConfig.js.map